---
title: Api Mixin
---

## APICallMixin

The APICallMixin class provides basic functionality for integration with an external API.

### Sample Plugin

The following example demonstrates how to use the `APICallMixin` class to make a simple API call:

::: plugin.samples.integration.api_caller.SampleApiCallerPlugin
    options:
        show_bases: False
        show_root_heading: False
        show_root_toc_entry: False
        show_source: True
        members: []
